- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends

# QWebInspector Class Reference

Search for all occurrences

## Detailed Description

Definition at line 30 of file qwebinspector.h.

`#include <qwebinspector.h>`

Inheritance diagram for QWebInspector:
[legend]

List of all members.

## Public Member Functions
| QWebInspector (QWidget *parent=0)
| ~QWebInspector ()
void | setPage (QWebPage *page)
QWebPage * | page () const
QSize | sizeHint () const
bool | event (QEvent *)
## Protected Member Functions
void | resizeEvent (QResizeEvent *event)
void | showEvent (QShowEvent *event)
void | hideEvent (QHideEvent *event)
void | closeEvent (QCloseEvent *event)
## Friends
class | QWebInspectorPrivate
class | QWebPage
class | QWebPagePrivate
class | WebCore::InspectorClientQt
class | WebCore::InspectorFrontendClientQt

## Constructor & Destructor Documentation

QWebInspector | ( | QWidget * | parent = `0` | ) |

~QWebInspector | ( |  | ) |

## Member Function Documentation

void setPage | ( | QWebPage * | page | ) |

Search for all occurrences

QWebPage* page | ( |  | ) | const

Search for all occurrences

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

bool event | ( | QEvent * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

void resizeEvent | ( | QResizeEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void showEvent | ( | QShowEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void hideEvent | ( | QHideEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void closeEvent | ( | QCloseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

## Friends And Related Function Documentation

friend class QWebInspectorPrivate `[friend]`

Search for all occurrences

Definition at line 51 of file qwebinspector.h.

friend class QWebPage `[friend]`

Search for all occurrences

Definition at line 52 of file qwebinspector.h.

friend class QWebPagePrivate `[friend]`

Search for all occurrences

Definition at line 53 of file qwebinspector.h.

friend class WebCore::InspectorClientQt `[friend]`

Search for all occurrences

Definition at line 54 of file qwebinspector.h.

friend class WebCore::InspectorFrontendClientQt `[friend]`

Search for all occurrences

Definition at line 55 of file qwebinspector.h.

The documentation for this class was generated from the following file:

- QtWebKit/qwebinspector.h

QWebInspector QWebInspector QWebInspector QWebInspector QWebInspector QWebInspector QWebInspector QWebInspector QWebInspector QWebInspector
QWebInspector QWebInspector QWebInspector QWebInspector QWebInspector QWebInspector QWebInspector QWebInspector QWebInspector QWebInspector